POST
Get presigned URL for document upload

Authorizations

Authorization
string
header
required

Interactive user session: the login JWT, sent as Authorization: Bearer <token>.

Body

application/json

Request schema for initiating document upload.

filename
string
required

Name of the file to upload

mime_type
string
required

MIME type of the file

custom_metadata
Custom Metadata ┬╖ object | null

Optional custom metadata

Response

Successful Response

Response schema containing upload URL and document metadata.

upload_url
string
required

Signed URL for uploading the file

document_uuid
string
required

Unique identifier for the document

s3_key
string
required

S3 key where file should be uploaded